Subject: [I18nrp] Draft minutes

From: "Pete Resnick" <[email-masked]>
Date: Thu, 02 Aug 2018 11:37:30 -0500

Please review:

Internationalization Review Procedures (i18nrp) BoF
IETF 102 Montreal

Chairs: Pete Resnick and Peter Saint-Andre
Minute Taker: Matt Miller
Jabber Scribe: Ted Hardie

COORDINATES

* Date: 2018-07-16
* Time: 14:30-15:30 EDT
* Room: Saint-Paul / Sainte-Catherine
* Mail: https://www.ietf.org/mailman/listinfo/i18nrp
* Chat: xmpp:[email-masked]?join
* Audio: http://ietf102streaming.dnsalias.net/ietf/ietf1026.m3u
* Video: http://www.meetecho.com/ietf102/i18nrp/
* Minutes: http://etherpad.tools.ietf.org/p/notes-ietf-102-i18nrp
* Slides/Materials: 
https://datatracker.ietf.org/meeting/102/session/i18nrp

AGENDA

1. Administrivia (NOTE WELL, minute taker, Jabber scribe, blue sheets, 
agenda bash) (2m)

2. Goals and non-goals for the BoF (5m)

3. Current review procedures (5m)
    - Chair presentation
    - Discussion

4. Problems with current review procedures (10m)
    - Chair presentation
    - Discussion

5. Non-mutually-exclusive proposals
    - Internationalization directorate (20m)
      - Strawman proposal (chairs)
      - Discussion
    - Internationalization considerations RFC (15m)
      - Strawman proposal (chairs)
      - Discussion

6. Next steps and action items (5m)

MINUTES

After administrivia, chairs presented on current review procedures and 
problems with current procedures (see 
https://datatracker.ietf.org/meeting/102/materials/slides-102-i18nrp-internationalization-review-procedures-chair-slides).

Discussion:

Other problems not in the chair slides (slide 10)?

* the few people who review things get overloaded (JK)
* lack of consistency about what the issues are and what to do about 
them (JL)
* we have individuals with knowledge, but they're not organized as a 
functioning team so efforts are ad-hoc (PR)

Chairs then laid out the two strawman proposals:

I18N DIRECTORATE

Discussion:

It was heard that "triaging is relatively easy", but is that documented 
somewhere? (DY)

-  Today depends on an oral tradition (not sustainable) (PSA)
-  Triaging is also largely "I know it when I see it." (PR)
-  It may not be possible to document the triaging strategy? (AS)
-  Identifying potential for problems is relatively easy, but addressing 
issues is much harder. (JK)
-  Often the experts actually do the work on the document; finding 
additional reviewers is hard. (JK)

There have been attempts in the past, why would this succeed where 
others have failed? (BL)

-  Note that IAB internationalization program was not to review IETF 
documents. Had other purposes. IAB work thinks in terms of liaison 
relationships and external bodies, but IETF work may not have to 
consider other bodies. (TH)
-  W3C faces similar challenges (i18n-wg there too small a group with 
too much to do).  W3C has worked on tooling to identify and track when 
i18n review is necessary. (WS)
-  IETF groups are not often aware that a document needs i18n review. 
(BL)
-  W3C has a paid staff member who focuses on i18n, including review, 
and has added sponsorship of i18n review and awareness. (WS)
-  This time might succeed because of a growing awareness with a change 
in approach with a "design team". (PSA)
-  PRECIS was intended to be tools to help address i18n issues; this 
effort is to educate and instruct on identifying i18n issues. (PR)
-  The IETF tooling available now is better than in the past. (PR)

This is proposed to be an ART area directorate; ART ADs would be 
responsible for its management. (AC)

- Need to make sure that all of the structures are set up. (AC)

How would this directorate gain and maintain diversity (most of the 
audience in the room is European or North American)? (YY)

- We think the 80/20 rule applies to this directorate, where most issues 
"anyone" could handle it. (PR)

Other comments:

-  Consider the "part-time participant" for this directorate. (CN)
-  It may less than 80/20, and it might require much more external 
expertise that could jeopardize this directorate. (JK)
-  Note that other directorates (e.g., Gen-ART) has variable cadences, 
and that might be an approach to incorporate. (AC/AR)
-  There are two strategies that can be taken to recruit: (TH)
   1. Recruit (outside) language experts to train others to identify and 
triage i18n issues; or
   2. Take people that are familiar with IETF tools and processes and 
help them identify issues and how to find experts to reach out to.
-  Triaging (identifying) is a function of this team/directorate, but to 
also have a pool of experts to reach out to when something is 
identified. (PSA)
-  Note that “triaging” means assigning to one of three categories: 
“Healthy enough”, “Needs treatment”, or “Will die”. There 
should be both a mechanism to address the issues or a way to "kill it 
off". (HA)
-  This team needs some language-specific expertise and more broad 
expertise to understand subtle problems with catastrophic consequences 
in exotic languages and variants. (JK/BL)

I18N “RFC” (or other documentation)

Discussion:

Is a goal to build future members of the directorate? (BL)

-  That may be a goal, to capture the existing "oral tradition" for 
future generations. (PSA)
-  This might be useful and helpful. (BL)

This document might need to include instructions to authors for what to 
look for in their documents. (BL)

Issues similar to HTTP, this effort might have an issue where the team 
is overwhelmed; a BCP can help set expectations. (MN)

-  The W3C has useful work here (e.g., "Character Model for the WWW"), 
and documents for authors would be helpful. (PSA)

Similar to RFC style guide and MIB doctor: Might start with a dynamic 
document (e.g., Wiki), then perhaps some or all of it evolves into an 
RFC once a stable set of material is identified. (DT)

- The IESG has discussed "documents they'd like to be published", having 
a team without published documents may be ideal as long as there are 
measurable goals. (AM)
- This is a suite of documents maintained by this team. (DY)

Similar to those qualified to review HTTP work (a handful of 
individuals), individuals qualified to review i18n issues independent of 
language are even rarer. (JK)

-  There is a distinction for the knowledge base necessary for IETF 
documents versus W3C documents. (JK)

There are a number of bodies that want to own i18n work. What will the 
IETF do when someone comes in claiming expertise and 	says we should 
abandon our efforts? (AS)

-  This sounds like a liaison issue, but that punts to the IAB ("Hope is 
not a plan"). (PSA/AS)
-  If they come in asking us to stop trying to fix it, then make it 
incumbent on them to then fix it. (AR)
-  Getting this perfect is extraordinarily difficult, but getting it 
better may not be.  This team would be better than what we have today, 
and building up the documentation and external connections can take 
place over time. (TH)

Flag the notion of exclusivity on doing this work; help inspire external 
participants to expand from their language space into our networking 
space. (AC)

The IETF has a large number of people with a deep understanding of 
network architecture, but very small number of people with a deep 
understanding of language issues. The issue isn't to make things better, 
but when we have sufficient understanding to review documents. (JK)

ACTIONS SUMMARY BY CHAIRS

- That steps should be taken to help document how to identify i18n 
issues
- Help find people to contribute expertise; reach out to ANWR and other 
educational groups
- ADs to confer about next steps, and continue discussion on 
[email-masked]

QUESTIONS TO THE ROOM BY CHAIRS

- Who is willing to time/inclination to triage and review documents? 
(~8)
- Who is willing to time/inclination to dive deeper on solving hard i18n 
problems, not just review? (~5, including other people)
- About a dozen people interested to form such a group.
- Suggestion to recruit students to this effort. (SC)
- Discussion to continue on the list.

MEETING ADJOURNED

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 07 Aug 2018 22:01:04 -0500

Hearing no comments (other than to put in a legend with the names of the 
speakers), I will post this to the proceedings site.

pr

On 2 Aug 2018, at 11:37, Pete Resnick wrote:

> It was heard that "triaging is relatively easy", but is that 
> documented somewhere? (DY)
>
> -  Identifying potential for problems is relatively easy, but 
> addressing issues is much harder. (JK)
> -  This time might succeed because of a growing awareness with a 
> change in approach with a "design team". (PSA)
> - We think the 80/20 rule applies to this directorate, where most 
> issues "anyone" could handle it. (PR)
>
> Other comments:
>
>   1. Recruit (outside) language experts to train others to identify 
> and triage i18n issues; or
> -  Triaging (identifying) is a function of this team/directorate, but 
> to also have a pool of experts to reach out to when something is 
> identified. (PSA)
> -  Note that “triaging” means assigning to one of three 
> categories: “Healthy enough”, “Needs treatment”, or “Will 
> die”. There should be both a mechanism to address the issues or a 
> way to "kill it off". (HA)
> This document might need to include instructions to authors for what 
> to look for in their documents. (BL)
>
> - The IESG has discussed "documents they'd like to be published", 
> having a team without published documents may be ideal as long as 
> there are measurable goals. (AM)
> individuals), individuals qualified to review i18n issues independent 
> of language are even rarer. (JK)
>
> -  This sounds like a liaison issue, but that punts to the IAB ("Hope 
> is not a plan"). (PSA/AS)
> Flag the notion of exclusivity on doing this work; help inspire 
> external participants to expand from their language space into our 
> networking space. (AC)
>
> understanding of language issues. The issue isn't to make things 
> better, but when we have sufficient understanding to review documents. 
> (JK)
>
> - Help find people to contribute expertise; reach out to ANWR and 
> other educational groups
> - Who is willing to time/inclination to dive deeper on solving hard 
> i18n problems, not just review? (~5, including other people)

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 8 Aug 2018 09:19:07 -0600

Thanks, Pete. I'm working on a draft charter and should be able to share
that on list in the next few days.

On 8/7/18 9:01 PM, Pete Resnick wrote:
>       * Chat: xmpp:[email-masked]
>         <mailto:[email-masked]>?join
>      1.
>         Administrivia (NOTE WELL, minute taker, Jabber scribe, blue
>         sheets, agenda bash) (2m)
> 
>      2.
> 
>         Goals and non-goals for the BoF (5m)
> 
>      3.
> 
>         Current review procedures (5m)
> 
>           * Chair presentation
>           * Discussion
>      4.
> 
>         Problems with current review procedures (10m)
> 
>           * Chair presentation
>           * Discussion
>      5.
> 
>         Non-mutually-exclusive proposals
> 
>           * Internationalization directorate (20m)
>               o Strawman proposal (chairs)
>               o Discussion
>           * Internationalization considerations RFC (15m)
>               o Strawman proposal (chairs)
>               o Discussion
>      6.
> 
>         Next steps and action items (5m)
> 
>     MINUTES
> 
>     After administrivia, chairs presented on current review procedures
>     and problems with current procedures (see
>       * lack of consistency about what the issues are and what to do
>         about them (JL)
>       * we have individuals with knowledge, but they're not organized as
>         a functioning team so efforts are ad-hoc (PR)
> 
>       * Today depends on an oral tradition (not sustainable) (PSA)
>       * Triaging is also largely "I know it when I see it." (PR)
>       * It may not be possible to document the triaging strategy? (AS)
>       * Identifying potential for problems is relatively easy, but
>       * Often the experts actually do the work on the document; finding
>       * Note that IAB internationalization program was not to review
>         IETF documents. Had other purposes. IAB work thinks in terms of
>         liaison relationships and external bodies, but IETF work may not
>         have to consider other bodies. (TH)
>       * W3C faces similar challenges (i18n-wg there too small a group
>         with too much to do). W3C has worked on tooling to identify and
>         track when i18n review is necessary. (WS)
>       * IETF groups are not often aware that a document needs i18n
>         review. (BL)
>       * W3C has a paid staff member who focuses on i18n, including
>         review, and has added sponsorship of i18n review and awareness. (WS)
>       * This time might succeed because of a growing awareness with a
>       * PRECIS was intended to be tools to help address i18n issues;
>         this effort is to educate and instruct on identifying i18n
>         issues. (PR)
>       * The IETF tooling available now is better than in the past. (PR)
> 
>       * Need to make sure that all of the structures are set up. (AC)
> 
>       * We think the 80/20 rule applies to this directorate, where most
>       * Consider the "part-time participant" for this directorate. (CN)
>       * It may less than 80/20, and it might require much more external
>       * Note that other directorates (e.g., Gen-ART) has variable
>         cadences, and that might be an approach to incorporate. (AC/AR)
>       * There are two strategies that can be taken to recruit: (TH)
>          1. Recruit (outside) language experts to train others to
>             identify and triage i18n issues; or
>          2. Take people that are familiar with IETF tools and processes
>             and help them identify issues and how to find experts to
>             reach out to.
>       * Triaging (identifying) is a function of this team/directorate,
>         but to also have a pool of experts to reach out to when
>         something is identified. (PSA)
>       * Note that “triaging” means assigning to one of three categories:
>         “Healthy enough”, “Needs treatment”, or “Will die”. There should
>         be both a mechanism to address the issues or a way to "kill it
>         off". (HA)
>       * This team needs some language-specific expertise and more broad
>         expertise to understand subtle problems with catastrophic
>         consequences in exotic languages and variants. (JK/BL)
> 
>       * That may be a goal, to capture the existing "oral tradition" for
>       * This might be useful and helpful. (BL)
> 
>     Issues similar to HTTP, this effort might have an issue where the
>     team is overwhelmed; a BCP can help set expectations. (MN)
> 
>       * The W3C has useful work here (e.g., "Character Model for the
>         WWW"), and documents for authors would be helpful. (PSA)
> 
>     Similar to RFC style guide and MIB doctor: Might start with a
>     dynamic document (e.g., Wiki), then perhaps some or all of it
>     evolves into an RFC once a stable set of material is identified. (DT)
> 
>       * The IESG has discussed "documents they'd like to be published",
>         having a team without published documents may be ideal as long
>         as there are measurable goals. (AM)
>       * This is a suite of documents maintained by this team. (DY)
> 
>     individuals), individuals qualified to review i18n issues
>     independent of language are even rarer. (JK)
> 
>       * There is a distinction for the knowledge base necessary for IETF
>     There are a number of bodies that want to own i18n work. What will
>     the IETF do when someone comes in claiming expertise and says we
>     should abandon our efforts? (AS)
> 
>       * This sounds like a liaison issue, but that punts to the IAB
>         ("Hope is not a plan"). (PSA/AS)
>       * If they come in asking us to stop trying to fix it, then make it
>       * Getting this perfect is extraordinarily difficult, but getting
>         it better may not be. This team would be better than what we
>         have today, and building up the documentation and external
>         connections can take place over time. (TH)
> 
>     better, but when we have sufficient understanding to review
>     documents. (JK)
> 
>       * That steps should be taken to help document how to identify i18n
>         issues
>       * Help find people to contribute expertise; reach out to ANWR and
>         other educational groups
>       * ADs to confer about next steps, and continue discussion on
>         [email-masked] <mailto:[email-masked]>
> 
>       * Who is willing to time/inclination to triage and review
>         documents? (~8)
>       * Who is willing to time/inclination to dive deeper on solving
>         hard i18n problems, not just review? (~5, including other people)
>       * About a dozen people interested to form such a group.
>       * Suggestion to recruit students to this effort. (SC)
>       * Discussion to continue on the list.
> 
>     MEETING ADJOURNED
> 
> 
> 
> _______________________________________________
> i18nRP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i18nrp
>